Bug 79035 - mozilla fails to act on link click connected to javascript
Summary: mozilla fails to act on link click connected to javascript
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 20:20 UTC by David Kaplan
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-11 22:23:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
HTML file causing problem (4.67 KB, text/html)
2002-12-04 20:21 UTC, David Kaplan
no flags Details

Description David Kaplan 2002-12-04 20:20:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020710

Description of problem:
I recently tried to download a scientific paper from a site.  The site provides
a link that is attached to some javascript code that is supposed to open up a
new window and show the PDF file.  In netscape, this link worked fine, but in
mozilla it did nothing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open attached HTML file in mozilla
2.If you had actually logged in to the site, you should be able to click on the
link and view the PDF file.
3.
	

Actual Results:  The browser gives you a security alert, but then it does
nothing.  I have noticed that a javascript console shows the following error:

Error: docWindow has no properties
Source File: http://dtd.lib.uci.edu/cgi-bin/ArielDoc    Line: 53


Expected Results:  It should have just popped up a new window with the PDF file.

Additional info:

Unfortunately, you won't be able to fully test this as you need a special log in
to the site, but I would imagine that it will still cause the javascript error.

Comment 1 David Kaplan 2002-12-04 20:21:10 UTC
Created attachment 87404 [details]
HTML file causing problem


Note You need to log in before you can comment on or make changes to this bug.